Subject: haskell-build-system: patches conflict with cabal revisions

From: Robert Vollmert <[email-masked]>
Date: Sat, 15 Jun 2019 23:16:00 +0200

The cabal revision mechanism replaces the cabal file after any patches
have been applied, making it impossible to patch the cabal file via the
regular patching mechanism.